Page MenuHomeFreeBSD

Remove extra kern_kldload from VBoxNetFlt-freebsd.c
ClosedPublic

Authored by madpilot on Jun 11 2021, 1:35 PM.
Tags
None
Referenced Files
Unknown Object (File)
Wed, Jul 17, 12:05 AM
Unknown Object (File)
Wed, Jun 19, 7:50 AM
Unknown Object (File)
Jun 2 2024, 7:51 AM
Unknown Object (File)
May 31 2024, 2:12 PM
Unknown Object (File)
May 31 2024, 1:02 PM
Unknown Object (File)
May 25 2024, 6:18 PM
Unknown Object (File)
May 23 2024, 9:30 AM
Unknown Object (File)
May 15 2024, 2:58 AM
Subscribers

Details

Summary

As reported in bug 256505 since base commit e266a0f7f001 performing kern_kldload while loading a kernel module is not allowed.

The VBoxNetFlt module does this to load ng_ether. Historically ng_ether was missing MODULE_VERSION information and could not be properly depended upon.

This has been fixed in base r238844 more than ten years ago though, so we can unconditionally use a proper MODULE_DEPEND.

Test Plan

Compiles fine in poudriere with all supported releases, and works as expected on head.

Diff Detail

Repository
rP FreeBSD ports repository
Lint
No Lint Coverage
Unit
No Test Coverage
Build Status
Buildable 39841
Build 36730: arc lint + arc unit

Event Timeline

Forgot to mention, I renamed the patch file to the new naming convention.

madpilot edited the summary of this revision. (Show Details)
madpilot edited the summary of this revision. (Show Details)
madpilot edited the test plan for this revision. (Show Details)

I also plan to merge this to quarterly once committed, I'm waiting for some feedback on the bug report to make sure it works fine.

This revision is now accepted and ready to land.Jun 14 2021, 6:54 PM